=== modified file 'bzr-pull'
--- bzr-pull	2005-05-01 09:07:57 +0000
+++ bzr-pull	2005-05-01 12:36:53 +0000
@@ -19,12 +19,31 @@
 from bzrlib import Branch
 from bzrlib.diff import diff_trees
 import sys
+import os
 import scriptlib
 bzrlib.trace.create_tracefile([])
 
 cur_branch = Branch(".")
+pull_location, pull_revision = scriptlib.get_pull_data(cur_branch)
+if pull_location is not None:
+    if cur_branch.last_patch() != pull_revision:
+        print "Aborting: This branch has had commits, so pull would lose data."
+        sys.exit(1)
+if len(sys.argv) > 1:
+    pull_location = sys.argv[1] 
+    if not pull_location.endswith('/'):
+        pull_location.append('/')
+
+if pull_location is None:
+    print "No pull location saved.  Please specify one on the command line."
+    sys.exit(1)
 
 if not scriptlib.is_clean(cur_branch):
     print "Error: This tree has uncommitted changes or unknown (?) files."
     sys.exit(1)
-location = cur_branch.controlfilename("pull-location")
+
+print "Synchronizing with %s" % pull_location
+args = " ".join(("rsync", "-av", "--delete", pull_location, cur_branch.base))
+os.system(args)
+
+scriptlib.set_pull_data(cur_branch, pull_location, cur_branch.last_patch())

=== modified file 'scriptlib.py'
--- scriptlib.py	2005-05-01 11:44:06 +0000
+++ scriptlib.py	2005-05-01 12:36:53 +0000
@@ -60,6 +60,6 @@
 if __name__ == "__main__":
     import doctest
     bzrlib.trace.create_tracefile([])
-result = doctest.testmod()
-if result[0] == 0 and result[1] > 0:
-    print "All tests passed"
+    result = doctest.testmod()
+    if result[0] == 0 and result[1] > 0:
+        print "All tests passed"

